CVE-2006-1515
CVSS7.5
发布时间 :2006-05-31 14:02:00
修订时间 :2011-03-07 21:33:14
NMCOS    

[原文]Buffer overflow in the addnewword function in typespeed 0.4.4 and earlier might allow remote attackers to execute arbitrary code via unknown vectors.


[CNNVD]Typespeed addnewword函数 远程缓冲区溢出漏洞(CNNVD-200605-543)

        typespeed 0.4.4 及之前版本的addnewword函数存在缓冲区溢出。远程攻击者可以借助未知向量执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:typespeed:typespeed:0.4.2
cpe:/a:typespeed:typespeed:0.3.5
cpe:/a:typespeed:typespeed:0.3.4
cpe:/a:typespeed:typespeed:0.3.3
cpe:/a:typespeed:typespeed:0.3.1
cpe:/a:typespeed:typespeed:0.3.2
cpe:/a:typespeed:typespeed:0.2
cpe:/a:typespeed:typespeed:0.4.1
cpe:/a:typespeed:typespeed:0.4.3
cpe:/a:typespeed:typespeed:0.4.0
cpe:/a:typespeed:typespeed:0.3
cpe:/a:typespeed:typespeed:0.4.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1515
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1515
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-543
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2006/dsa-1084
(VENDOR_ADVISORY)  DEBIAN  DSA-1084
http://secunia.com/advisories/20393
(VENDOR_ADVISORY)  SECUNIA  20393
http://www.vupen.com/english/advisories/2006/2087
(UNKNOWN)  VUPEN  ADV-2006-2087
http://www.securityfocus.com/bid/18194
(UNKNOWN)  BID  18194
http://secunia.com/advisories/20379
(VENDOR_ADVISORY)  SECUNIA  20379
http://www.gentoo.org/security/en/glsa/glsa-200606-20.xml
(UNKNOWN)  GENTOO  GLSA-200606-20
http://secunia.com/advisories/20708
(UNKNOWN)  SECUNIA  20708

- 漏洞信息

Typespeed addnewword函数 远程缓冲区溢出漏洞
高危 缓冲区溢出
2006-05-31 00:00:00 2006-06-05 00:00:00
远程  
        typespeed 0.4.4 及之前版本的addnewword函数存在缓冲区溢出。远程攻击者可以借助未知向量执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Typespeed Typespeed 0.4.1
        Debian typespeed_0.4.1-2.4_alpha.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_alpha.deb
        Debian typespeed_0.4.1-2.4_arm.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_arm.deb
        Debian typespeed_0.4.1-2.4_hppa.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_hppa.deb
        Debian typespeed_0.4.1-2.4_i386.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_i386.deb
        Debian typespeed_0.4.1-2.4_ia64.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_ia64.deb
        Debian typespeed_0.4.1-2.4_m68k.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_m68k.deb
        Debian typespeed_0.4.1-2.4_mips.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_mips.deb
        Debian typespeed_0.4.1-2.4_mipsel.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_mipsel.deb
        Debian typespeed_0.4.1-2.4_powerpc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_powerpc.deb
        Debian typespeed_0.4.1-2.4_s390.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_s390.deb
        Debian typespeed_0.4.1-2.4_sparc.deb
        Debian GNU/Linux 3.0 alias woody
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .1-2.4_sparc.deb
        Typespeed Typespeed 0.4.4
        Debian typespeed_0.4.4-8sarge1_alpha.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_alpha.deb
        Debian typespeed_0.4.4-8sarge1_amd64.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_amd64.deb
        Debian typespeed_0.4.4-8sarge1_arm.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_arm.deb
        Debian typespeed_0.4.4-8sarge1_hppa.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_hppa.deb
        Debian typespeed_0.4.4-8sarge1_i386.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_i386.deb
        Debian typespeed_0.4.4-8sarge1_ia64.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_ia64.deb
        Debian typespeed_0.4.4-8sarge1_m68k.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_m68k.deb
        Debian typespeed_0.4.4-8sarge1_mips.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_mips.deb
        Debian typespeed_0.4.4-8sarge1_mipsel.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_mipsel.deb
        Debian typespeed_0.4.4-8sarge1_powerpc.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_powerpc.deb
        Debian typespeed_0.4.4-8sarge1_s390.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_s390.deb
        Debian typespeed_0.4.4-8sarge1_sparc.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/t/typespeed/typespeed_0.4 .4-8sarge1_sparc.deb
        

- 漏洞信息

25941
Typespeed addnewword() Function Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-31 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Typespeed Remote Buffer Overflow Vulnerability
Boundary Condition Error 18194
Yes No
2006-05-31 12:00:00 2006-11-28 05:35:00
Discovered by Niko Tyni.

- 受影响的程序版本

Typespeed Typespeed 0.4.4
Typespeed Typespeed 0.4.1
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
Gentoo Linux
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0

- 漏洞讨论

Typespeed is susceptible to a remote buffer-overflow vulnerability. This issue is due to a failure in the application to properly bounds-check user-supplied input before copying it to an insufficiently sized memory buffer.

This issue allows remote attackers to execute arbitrary machine code in the context of affected applications, aiding them in the compromise of affected computers.

Typespeed versions 0.4.1 and 0.4.4 are vulnerable to this issue; other versions may also be affected.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案

Please see the referenced third-party advisories for further information on obtaining and applying fixes.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.commailto:vuldb@securityfocus.com.


Typespeed Typespeed 0.4.1

Typespeed Typespeed 0.4.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站